Bug 1662209 - [4.0] Next gen install failed with "no RHCOS AMIs found in cn-north-1"
Summary: [4.0] Next gen install failed with "no RHCOS AMIs found in cn-north-1"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Alex Crawford
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 05:04 UTC by Liang Xia
Modified: 2019-03-12 14:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 21:42:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Liang Xia 2018-12-27 05:04:12 UTC
Description of problem:
Try to install OCP 4 with next-gen-install in region cn-north-1,
install failed with "no RHCOS AMIs found in cn-north-1"


Version-Release number of the following components:
./openshift-install v0.8.0


How reproducible:
Always

Steps to Reproduce:
1. ./openshift-install create cluster with region cn-north-1


Actual results:
$ ./openshift-install create cluster
......
? Region cn-north-1
DEBUG     Generating "Base Domain"...              
DEBUG listing AWS hosted zones (page 0)  
......
DEBUG       Generating "Cluster.cluster.k8s.io/v1alpha1"... 
DEBUG       Fetching "Worker Machines"...          
DEBUG         Fetching "Install Config"...         
DEBUG         Reusing previously-fetched "Install Config" 
DEBUG         Fetching "Worker Ignition Config"... 
DEBUG           Fetching "Install Config"...       
DEBUG           Reusing previously-fetched "Install Config" 
DEBUG           Fetching "Root CA"...              
DEBUG           Reusing previously-fetched "Root CA" 
DEBUG         Generating "Worker Ignition Config"... 
DEBUG       Generating "Worker Machines"...        
DEBUG Fetching RHCOS metadata from "https://releases-rhcos.svc.ci.openshift.org/storage/releases/maipo/47.235/meta.json" 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to fetch dependency of "Bootstrap Ignition Config": failed to fetch dependency of "Openshift Manifests": failed to generate asset "Worker Machines": failed to determine default AMI: no RHCOS AMIs found in cn-north-1 


Expected results:
Cluster is up and running.

Comment 1 Alex Crawford 2019-01-05 00:40:33 UTC
AWS China isn't supported. We can remove the option from the installer.

Comment 2 W. Trevor King 2019-01-06 05:13:54 UTC
There's some WIP in [1], but we may hold off until we have a more reliable approach based on RHCOS build metadata.  For installer releases, which pin to a single RHCOS build, the simple approach is fine and I'm taking that route for v0.9.0 [2].

[1]: https://github.com/openshift/installer/pull/997
[2]: https://github.com/openshift/installer/pull/1002

Comment 3 W. Trevor King 2019-01-24 08:49:46 UTC
I think comment #2 is sufficient for closing this bug, now that we have a few releases under our belt with that approach.  The only way folks could hit the cn-north-1 issue would be if they manually configured that region in their install-config.

The above paragraph assumes this issue is "installer's region select widget lists unsupported regions".  If the intention was to add support for cn-north-1, that would be an issue with the RHCOS component, not an installer issue.


Note You need to log in before you can comment on or make changes to this bug.